Function (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.feature.function
Interface Function

All Known Subinterfaces:
  FeatureFunction, FeatureMapFunction, Modifiable

All Known Implementing Classes:
  AddressFunction, ArcDirFeature, ColumnFeature, CovingtonAddressFunction, DGraphAddressFunction, DistanceFeature, ExistsFeature, InputArcDirFeature, InputArcFeature, InputColumnFeature, InputTableFeature, Merge3Feature, MergeFeature, NivreAddressFunction, NumOfFeature, OutputArcFeature, OutputColumnFeature, OutputTableFeature, PlanarAddressFunction, PrefixFeature, SplitFeature, StackAddressFunction, SuffixFeature, TableFeature, TwoPlanarAddressFunction

    public interface Function

Author:
  Johan Hall

Method Summary
`Class<?>[]` | `getParameterTypes()` Returns an array of class types used by the feature extraction system to invoke initialize with correct arguments.
`void` | `initialize(Object[] arguments)` Initialize the feature function
`void` | `update()` Cause the feature function to update the feature value.

Method Detail

### initialize

    void initialize(Object[] arguments)
                    throws MaltChainedException

  Initialize the feature function

  Parameters:
    `arguments` - an array of arguments with the type returned by getParameterTypes()
  Throws:
    `MaltChainedException`

### getParameterTypes

    Class<?>[] getParameterTypes()

  Returns an array of class types used by the feature extraction system to invoke initialize with correct arguments.

  Returns:
    an array of class types

### update

    void update()
                throws MaltChainedException

  Cause the feature function to update the feature value.

  Throws:
    `MaltChainedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.